Release iOS 5.0.2
Closed, ResolvedPublic

Description

Expedited release based on request from Apple to improve universal links handling for our large number of subdomains (T131086)

  • Before running fastlane builds that submit to iTunesConnect, update in-repo metadata (e.g. "What's New" text) -- see comment for "What's new" text.

Release version: 5.0.2
Release tag: releases/5.0.2.802.1
Release SHA1: 007d91ba053bdd4c944f01633410f728f72cb661
App Store Submission Date: 3/29/2016
App Store Approval Date: 3/29/2016
App Store Release Date: 3/29/2016
Regression Testing: Performed 3/29/2016 - See regression sheet for some non-blocking failures.


  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks and Pywik are disabled in build submitted to iTunesConnect via internal testing
  • Point current status at this card
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC for internal testing and TSG on iTunes Connect
  • Post to mobile-l
  • Update "What’s New" on iTunes Connect
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
JMinor created this task.Mar 28 2016, 9:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2016, 9:29 PM
JMinor triaged this task as High priority.Mar 28 2016, 9:29 PM
JMinor moved this task from Needs Triage to PM-Backlog on the Wikipedia-iOS-App-Backlog board.
JMinor updated the task description. (Show Details)Mar 28 2016, 9:34 PM
Josve05a updated the task description. (Show Details)Mar 28 2016, 9:40 PM

Whats new:

Bugs and stability fixes:

  • Fix issues with app startup or slowness on launch when using app links.
  • Resolve loading failures when opening links when the app is not running.
  • Improved support for iOS 9.3.
  • Additional translations and localizations.
JMinor updated the task description. (Show Details)Mar 28 2016, 9:42 PM

Whats new:

Apple releases new versions faster than they releases new iPhone models. This causes us to have to make improvements and ensuring that we support all the new functionalities this OS has to offer; which we have now done!

Did you noticed that those links that appear when reading Wikipedia in Safari, telling you to open the article in our awesome app caused your device to lag a bit? Well we and Apple did, so we fixed that. Much smoother link launches now. You're welcome people!

And for all our readers not living in an English-speaking country, or if you might be bi-lingual, we've noow also made additional improvements with translations and localizations of the app. Detta tycker vi är underbart!

Now this is a good release note :p

JMinor updated the task description. (Show Details)Mar 29 2016, 8:59 PM

Okay I went with a compromise:

Did you notice that you can choose to have links to Wikipedia open in our great new app? Have you noticed this can sometimes cause your device to lag a bit or crash the app? Well so did we and so did Apple, so we worked together to fix it. Much smoother link launches now, especially for iOS 9.3 users. Happy linking!

And for all our readers not living in an English-speaking country, or if you might be bi-lingual, we've also made additional improvements with translations and localizations of the app. Detta tycker vi är underbart!

JMinor updated the task description. (Show Details)Mar 30 2016, 10:38 PM
JMinor updated the task description. (Show Details)Mar 30 2016, 10:43 PM
JMinor closed this task as Resolved.